Skip to main content
Weavr API
Managed accounts

List account transactions

GET/managed_accounts/{id}/transactions

Returns all transactional activity on the managed account identified by the id path parameter.

Unlike the statement endpoint, this includes pending, completed, failed, and rejected transactions. All transaction types are returned in a unified schema.

Request

Path parameters

Query parameters

Responses

200OK

Success

Headers
Body
application/json
{}
InstrumentTransactionActivityListInstrumentTransactionActivityList · object · 3 fields
Response example
{  "transactions": [    {      "id": "string",      "type": "transfers",      "status": "DRAFT",      "direction": "CREDIT",      "amount": {        "currency": "GBP",        "amount": 1250      },      "fee": {        "id": "string",        "type": "fees",        "amount": {          "currency": "GBP",          "amount": 1250        },        "subtype": {}      },      "creationTimestamp": 0,      "lastUpdatedTimestamp": 0,      "transaction": {        "id": "2468013579",        "profileId": "10001",        "tag": "invoice-2026-0042",        "source": {          "type": "managed_accounts",          "id": "123456789"        },        "destination": {          "type": "managed_accounts",          "id": "987654321"        },        "destinationAmount": {          "currency": "GBP",          "amount": 1250        },        "description": "Invoice 2026-0042",        "state": "COMPLETED",        "creationTimestamp": 1786118400000,        "executionTimestamp": "1786118401250"      }    }  ],  "count": 0,  "responseCount": 0}